%global dlrn_nvr oslo.upgradecheck-1.3.1-1.20220727131612.9561ecb
%global dlrn 1
%define upstream_version 1.3.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363
%global sname oslo.upgradecheck
%global pypi_name oslo-upgradecheck
%global with_doc 0


%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This project contains the common code necessary for writing upgrade checks in OpenStack projects.

Name:             python-%{pypi_name}
Version: 1.3.1
Release: 1.20220727131612.9561ecb%{?dist}
Summary:          Common code for writing OpenStack upgrade checks
License:          ASL 2.0
URL:              https://docs.openstack.org/oslo.upgradecheck/latest/
Source0: oslo.upgradecheck-1.3.1-1.20220727131612.9561ecb.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9561ecb1627059c7131545b24c2f45fbb59daa2c

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{sname}/%{sname}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:        noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:    git-core
BuildRequires:    openstack-macros

%description
%{common_desc}

%package -n python3-%{pypi_name}
Summary:          Common code for writing OpenStack upgrade checks

BuildRequires:    python3-devel
BuildRequires:    python3-pbr >= 2.0.0
BuildRequires:    python3-oslo-config
BuildRequires:    python3-oslo-serialization
BuildRequires:    python3-oslo-policy
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-oslotest
BuildRequires:    python3-prettytable
BuildRequires:    python3-stestr

Requires:         python3-oslo-config >= 5.2.0
Requires:         python3-oslo-policy >= 2.0.0
Requires:         python3-oslo-utils >= 4.5.0
Requires:         python3-oslo-i18n >= 3.15.3
Requires:         python3-prettytable >= 0.7.1


%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:    Documentation for OpenStack oslo.upgradecheck library

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme

%description -n python-%{pypi_name}-doc
Documentation for the OpenStack oslo.upgradecheck library.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{sname}-%{upstream_version} -S git

rm -rf *.egg-info
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
sphinx-build-3 -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
export PYTHONPATH=.
PYTHON=%{__python3} stestr-3 run

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_upgradecheck
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-1.20220727131612.9561ecb
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-1.20220714111703.9561ecb
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-1.20220713073655.9561ecb
- Update patches

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20220227083137.9561ecb
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20220225085636.9561ecb
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Dropping lower constraints testing

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-0.20210527193752.9f95a6e
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-1
- Update patches

* Mon Feb 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Register oslo policy opts explicitly for check_policy_json
- Fix lower-constraints job


